Pause & resume monitor

Temporarily stop checks, then resume them again.

Pause & resume

Temporarily stop a monitor's checks without deleting its history.

Auth: Bearer token (write scope)

Pause

POST /monitors/:id/pause

Stop running checks for a monitor. Existing check history is preserved.

bash
curl -X POST -H "Authorization: Bearer hu_..." \ "https://happyuptime.com/api/v1/monitors/mon_abc123/pause"
json
{ "data": { "id": "mon_abc123", "name": "API Server", "paused": true, "status": "up", "updated_at": "2026-03-07T15:15:00Z" } }

Resume

POST /monitors/:id/resume

Start running checks again on a paused monitor.

bash
curl -X POST -H "Authorization: Bearer hu_..." \ "https://happyuptime.com/api/v1/monitors/mon_abc123/resume"
json
{ "data": { "id": "mon_abc123", "name": "API Server", "paused": false, "status": "up", "updated_at": "2026-03-07T15:16:00Z" } }

Paused monitors don't count against your interval-based tier limits, but they do count against your total monitor quota.

Ask a question... ⌘I